For the complete documentation index, see llms.txt. This page is also available as Markdown.

token/create

Obtain an authentication token

All API calls require authentication. To obtain an authentication token you will require a username, password and your security key (this was emailed to you).

token/create

POST https://auth.powerpointgeneratorapi.com/v1.0/token/create

Headers

Name
Type
Description

Content-Type*

string

multipart/form-data

Request Body

Name
Type
Description

username*

string

Your account username/email address

password*

string

Your account password

key*

string

Your security key

{
  "isSuccess": true,
  "Message": null,
  "Result": {
    "Access_Token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "Username": "example@domain.com",
    "hasSubscription": true
  }
}
{
  "isSuccess": false,
  "Message": "Missing required form fields: username or password.",
  "Result": {}
}
{
  "isSuccess": false,
  "Message": "Invalid email / password combination.",
  "Result": {}
}
{
  "isSuccess": false,
  "Message": "Internal Server Error",
  "Result": {}
}

Example request

  1. Select form-data in the Body tab

  2. Populate the KEY and VALUE with your username, password and key

  3. Hit Send to get your Bearer Token

Last updated